Name: python-django-socialregistration
Version: 0.5.10
Release: 1%{?dist}
Summary: Django application enabling registration through a variety of APIs

Group: Development/Languages
License: MIT
URL: https://github.com/flashingpumpkin/django-socialregistration
Source0: http://pypi.python.org/packages/source/d/%{name}/django-socialregistration-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-oauth2
BuildRequires: python-openid
BuildRequires: python-setuptools

%if 0%{?fedora} > 17
Requires: python-django
%else
Requires: Django
%endif
Requires: python-oauth2
Requires: python-openid

%description
Django Social Registration enables developers to add alternative registration
methods based on third party sites.

Supported methods currently are:

    OpenID
    OAuth
    Instagram


%prep
%setup -q -n django-socialregistration-%{version}
rm -rf django_socialregistration-%{version}*.egg-info


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/socialregistration/
%{python_sitelib}/django_socialregistration-%{version}*.egg-info

%changelog
* Thu Mar 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.5.10-1
- New upstream release 0.5.10

* Thu Jan 24 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.5.9-1
- Add support for Instagram
- Drop support for nonfunctional Facebook SDK
- New upstream release 0.5.9

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.5.5-3
- Own the socialregistration directory
- New upstream release 0.5.5

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.5.4-2
- Changes from package review
- Remove %%clean section
- Remove %%defattr from %%files
- Guarantee egg-info rebuild

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.5.4-1
- Require python-django on F18 and later
- Update to latest upstream release 0.5.4.
- Do not package egg files

* Thu Sep 01 2011 Stephen Gallagher <sgallagh@redhat.com> - 0.4.5-1
- Initial RPM release
- Django Social Registration enables developers to add alternative
  registration methods based on third party sites.

